Package org.pushingpixels.flamingo.api.common

# Class CommandButtonLayoutManager.TextLayoutInfo

java.lang.Object
org.pushingpixels.flamingo.api.common.CommandButtonLayoutManager.TextLayoutInfo

Enclosing interface:
  `CommandButtonLayoutManager`

public static class CommandButtonLayoutManager.TextLayoutInfo extends Object
Layout information on a single line of text.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`text`
Text itself.
`Rectangle`
`textRect`
The text rectangle.

## Constructor Summary

Constructors
Constructor
Description
`TextLayoutInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### text

public String text
Text itself.

### textRect

public Rectangle textRect
The text rectangle.

## Constructor Details

### TextLayoutInfo

public TextLayoutInfo()